Instance

Instance Redundancy

Redundancy is part of the inter-server solidarity that PeerTube fosters. Manage the list of instances you wish to help by seeding their videos according to the policy of video selection of your choice. Note that you have a similar functionality to mirror individual videos, see video mirroring.

https://docs.joinpeertube.org/admin/following-instances#instances-redundancy

Update a server redundancy policy

PUT
https://peertube2.cpy.re/api/v1/server/redundancy/{host}

Body

application/json
redundancyAllowedbooleanrequired

allow mirroring of the host's local videos

Parameters

hoststring<hostname>requiredpath

server domain to mirror

Response

204No Content

successful operation

404Not Found

server is not already known

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: admin